Subject: Re: [mpls] MPLS-RT review of draft-mirsky-mpls-bfd-directed-03

From: Markus Jork <[email-masked]>
Date: Thu, 9 Jul 2015 21:23:49 +0000

I have looked at draft-mirsky-mpls-bfd-directed-03 as one of the MPLS-RT reviewers.

The document clearly explains the desire to have a matching return path for a BFD session and proposes a straight forward mechanism for that. As such it is coherent.

The mechanism is based on the initiator of the BFD session picking and specifying the return path. I can imagine use cases where that is the preferable approach. Though one could also go about this from the other direction: let the other end pick a return path that matches the forward path. That would not require protocol extensions. Nevertheless, there are probably enough cases where the mechanism in this document is appropriate and so I think it will be useful.

The document seems technically sound to me and is ready to be considered for WG adoption.

-Markus